import { jsx } from "react/jsx-runtime";
import { TokenOATH as TokenOATH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOATH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OATH", "data-name": "TokenOATH", ...props, children: /* @__PURE__ */ jsx(TokenOATH$1, { variant }) });
  }
);
TokenOATH.displayName = "TokenOATH";
Object.assign(TokenOATH, { isGdsIcon: true });
export {
  TokenOATH
};
